#! /bin/ksh 

nmodes_list="6 12 24 48"
base_name=argh

Rbase=25

nz_per_row[1]="0.6"
nz_per_row[2]="0.085715"
nz_per_row[3]="0.03111"
nz_per_row[4]="0.01464"
nz_per_row[5]="0.00803"

pc_lu_fill[1]="5"
pc_lu_fill[2]="2.65195"
pc_lu_fill[3]="3.84257"
pc_lu_fill[4]="5.55644"
pc_lu_fill[5]="7.20476"

for subdiv in 1 2 3 4 5
do

for conv_res_mag in 5000 2000 1000 10
do

   base=$base_name$subdiv

   otherargs="-T 0.0005 -b 2 -cutoff_ev 1e-6 -method snapshots -conv_res_mag $conv_res_mag -max_iter 50 -pass_on_max -report_iter -suffix conv$conv_res_mag"

   O=$(expeval "2e-6/$subdiv")
   R=$(expeval "$Rbase*$subdiv")

   pod_collect.sh $base -O $O -R $R -nz_per_row ${nz_per_row[$subdiv]} -pc_lu_fill ${pc_lu_fill[$subdiv]} $(echo $otherargs)

   cp $base.pod $base.pod.orig
   for nmodes in $nmodes_list
   do
     pod_use.sh $base -T 0.0005 -R $R -O $O -nmodes_list $nmodes -method snapshots -max_iter 12 -conv_ratio 0.01 -pass_on_max -report_iter -suffix conv$conv_res_mag
   done

done # conv_res_mag

done # subdiv

exit 0

