#! /bin/ksh

if [ $# -lt 1 ] ; then
    echo Usage: $(basename $0) input
    exit 1
fi
base=$1

for conv_res_mag in 10000 9000 8000 7000 6000 5000 4000 3000 2500 2000 1500 1000 100 10 1 0.1 0.000001 
do
    pod_collect.sh $base -T 2e-5 -initial_stiff -method snapshots -dt 1e-7 -cutoff_ev 1e-7 -R 4 -O 0 -conv_res_mag $conv_res_mag -max_iter 50 -nz_per_row 0.116883 -pc_lu_fill 2.80985 -report_iter -mass_type 0 -suffix conv$conv_res_mag $*
    cp $base.pod $base.pod.conv$conv_res_mag
done

# conclude by a high-accuracy solution
for conv_res_mag in 0.000001 
do
    pod_collect.sh $base -T 2e-5 -initial_stiff -method snapshots -dt 1e-7 -cutoff_ev 1e-14 -R 4 -O 0 -conv_res_mag $conv_res_mag -max_iter 50 -nz_per_row 0.116883 -pc_lu_fill 2.80985 -report_iter -mass_type 0 -suffix conv$conv_res_mag $*
done


