#!/bin/sh
# This is a shell archive (produced by GNU sharutils 4.2.1).
# To extract the files from this archive, save it to some FILE, remove
# everything before the `!/bin/sh' line above, then type `sh FILE'.
#
# Made on 2002-06-08 09:43 PDT by <pkrysl@hogwarts.ucsd.edu>.
# Source directory was `/home2/pkrysl/WASP/problems/FE/hex/cryspl/qstrip'.
#
# Existing files will *not* be overwritten unless `-c' is specified.
#
# This shar contains:
# length mode       name
# ------ ---------- ------------------------------------------
#    168 -rw-rw-r-- runs
#   6178 -rwxrwxr-x create.frames.sh
#     98 -rwxr-xr-x qstrip.view
#    399 -rw-rw-r-- lnU.hexvue
#    615 -rwxrwxr-x lnU.sh
#   1153 -rwxr-xr-x gammas.sh
#    407 -rw-rw-r-- gamma_1.hexvue
#    409 -rw-rw-r-- gamma_7.hexvue
#
save_IFS="${IFS}"
IFS="${IFS}:"
gettext_dir=FAILED
locale_dir=FAILED
first_param="$1"
for dir in $PATH
do
  if test "$gettext_dir" = FAILED && test -f $dir/gettext \
     && ($dir/gettext --version >/dev/null 2>&1)
  then
    set `$dir/gettext --version 2>&1`
    if test "$3" = GNU
    then
      gettext_dir=$dir
    fi
  fi
  if test "$locale_dir" = FAILED && test -f $dir/shar \
     && ($dir/shar --print-text-domain-dir >/dev/null 2>&1)
  then
    locale_dir=`$dir/shar --print-text-domain-dir`
  fi
done
IFS="$save_IFS"
if test "$locale_dir" = FAILED || test "$gettext_dir" = FAILED
then
  echo=echo
else
  TEXTDOMAINDIR=$locale_dir
  export TEXTDOMAINDIR
  TEXTDOMAIN=sharutils
  export TEXTDOMAIN
  echo="$gettext_dir/gettext -s"
fi
if touch -am -t 200112312359.59 $$.touch >/dev/null 2>&1 && test ! -f 200112312359.59 -a -f $$.touch; then
  shar_touch='touch -am -t $1$2$3$4$5$6.$7 "$8"'
elif touch -am 123123592001.59 $$.touch >/dev/null 2>&1 && test ! -f 123123592001.59 -a ! -f 123123592001.5 -a -f $$.touch; then
  shar_touch='touch -am $3$4$5$6$1$2.$7 "$8"'
elif touch -am 1231235901 $$.touch >/dev/null 2>&1 && test ! -f 1231235901 -a -f $$.touch; then
  shar_touch='touch -am $3$4$5$6$2 "$8"'
else
  shar_touch=:
  echo
  $echo 'WARNING: not restoring timestamps.  Consider getting and'
  $echo "installing GNU \`touch', distributed in GNU File Utilities..."
  echo
fi
rm -f 200112312359.59 123123592001.59 123123592001.5 1231235901 $$.touch
#
if mkdir _sh17885; then
  $echo 'x -' 'creating lock directory'
else
  $echo 'failed to create lock directory'
  exit 1
fi
# ============= runs ==============
if test -f 'runs' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'runs' '(file already exists)'
else
  $echo 'x -' extracting 'runs' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'runs' &&
X./create.frames.sh pan10x30fast -silent -hexvue_script lnU.hexvue -frame_name lnU -image_format png
wd -verbose -! -input pan10x30slow -integrator 0 -O 0.1 -p 4 -R 0.4
SHAR_EOF
  (set 20 02 06 08 09 33 30 'runs'; eval "$shar_touch") &&
  chmod 0664 'runs' ||
  $echo 'restore of' 'runs' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'runs:' 'MD5 check failed'
790db1087ea733112fa21d67928dd8e6  runs
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'runs'`"
    test 168 -eq "$shar_count" ||
    $echo 'runs:' 'original size' '168,' 'current size' "$shar_count!"
  fi
fi
# ============= create.frames.sh ==============
if test -f 'create.frames.sh' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'create.frames.sh' '(file already exists)'
else
  $echo 'x -' extracting 'create.frames.sh' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'create.frames.sh' &&
#! /bin/bash
#h
#  defines
#
image_format=jpg
framename=frame
silent=f
first_frame=0
hexvue_script=hexvue.script
default_frame_script=_frame.sh
frame_script=$default_frame_script
X
#
#  usage function
#
function usage_and_exit {
echo "usage: $0 problem_prefix"
echo "  problem_prefix  "
echo "      The problem prefix is passed to the frame script as the first"
echo "      argument. It can be used to construct the name of a hexvue or for "
echo "      any other purpose; it is not used by $0 directly."
echo " One can also specify the following options:"
echo "  -image_format f"
echo "      One of jpg, gif, pict, tiff, eps (others might be also available;"
echo "      see the manual of the ImageMagick program \`import\'"
echo "  -frame_script fs"
echo "      This is the shell script that is run for each frame. The default"
echo "      is \"$frame_script\" (it is created by $0). The frame script is "
echo "      passed five arguments as described here: "
echo "      1. problem prefix,"
echo "      2. name of the hexvue script,"
echo "      3. name of a frame"
echo "      4. the frame number, and"
echo "      5. the frame image format."
echo "      The frame script is responsible (i) for creating the frame image, and "
echo "      (ii) for returning zero as its exit status when there should be "
echo "      additional frames, or non-zero when it created the last frame.  "
echo "      The default frame script looks like this (with some additional "
echo "      shell processing; see \"$frame_script\"):"
echo "          hexvue -l \${problem_prefix}\${frame}.hvu -c \${hexvue_script}"
echo "          mv junk.jpg \${framename}\${frame}.jpg"
echo "      As you can see, it runs hexvue, and it expects hexvue to write the"
echo "      file junk.jpg, which it then renames to \${framename}\${frame}.jpg"
echo "  -hexvue_script hs"
echo "      The HEXVUE script name is passed to the frame script as its"
echo "      second argument.  It is not used by $0 directly."
echo "  -frame_name f"
echo "      The frame name is the name of a JPEG file (or other graphics file)"
echo "      which constitutes an individual frame in the movie; the default name "
echo "      is \"$framename.N.jpg\", where \"N\" is the frame number.  "
echo "      Frame name is passed to the frame script as the third argument; it is not used 
by $0 directly."
echo "  -first_frame n"
echo "      The frames are numbered from zero if there is no previous frame present"
echo "      in the working directory; otherwise the "
echo "      frame number is set to be one more than the number of the"
echo "      last frame present.  The frame number is passed to the "
echo "      frame script as its fourth and last argument"
echo "  -silent"
echo "      Run silently"
echo "  -help"
echo "      Print this help text"
X   exit 0
}
X
#
#  must have at least the problem prefix
#
if [ $# -lt 1 ] ; then
X        usage_and_exit
fi
problem_prefix=$1; shift
X
#
#  get the additional arguments
#
while [ $# -ge 1 ] 
do
X   a=$1; shift
X   case $a in
X      -frame_name)
X         if [ $# -ge 1 ] ; then
X            framename=$1; shift
X         else
X            usage_and_exit
X         fi
X         ;;
X      -frame_script)
X         if [ $# -ge 1 ] ; then
X            frame_script=$1; shift
X         else
X            usage_and_exit
X         fi
X         ;;
X      -first_frame)
X         if [ $# -ge 1 ] ; then
X            first_frame=$1; shift
X         else
X            usage_and_exit
X         fi
X         ;;
X      -image_format)
X         if [ $# -ge 1 ] ; then
X            image_format=$1; shift
X         else
X            usage_and_exit
X         fi
X         ;;
X      -hexvue_script)
X         if [ $# -ge 1 ] ; then
X            hexvue_script=$1; shift
X         else
X            usage_and_exit
X         fi
X         ;;
X      -silent)
X         silent=t
X         ;;
X      -help)
X         usage_and_exit
X         ;;
X      *)
X         usage_and_exit
X         ;;
X   esac
done
X
X
#
#  in case there are already some frames in here, try to figure out where to 
#  start with next frame numbers
#
frame=${first_frame}
while [ -f ${framename}${frame}.${image_format} ] 
do
X        frame=$(($frame+1))
done
first_frame=$frame
X
#  the default frame script;  it is expected to create a frame
#  and to return either t when there is a next frame, or f when
#  the program is to stop.
#  The frame script is passed the following arguments:
#  1. problem_prefix
#  2. hexvue_script
#  3. frame name
#  4. frame number
X
cat <<EOF > $default_frame_script
if [ \$# -ne 5 ] ; then
X        echo "usage: \$0 problem_prefix hexvue_script frame_name frame_number image_format"
X        exit 1
fi
problem_prefix=\$1; shift
hexvue_script=\$1; shift
framename=\$1; shift
frame=\$1; shift
image_format=\$1; shift
X
if [ -f \${problem_prefix}\${frame}.hvu ] ;  then
X   suffix=hvu
elif [  -f \${problem_prefix}\${frame}.xvu ] ;  then
X   suffix=xvu
else
X    echo No hexvue file found
X    exit 1
fi
if [ -f \${problem_prefix}\${frame}.\${suffix} ] ;  then
X        echo "post-processing \${problem_prefix}\${frame}..."
X        hexvue -l \${problem_prefix}\${frame}.\${suffix}  -c \${hexvue_script}
X        if [ \${frame} -lt 10 ] ; then
X                fnum=000\${frame}
X        elif [ \${frame} -lt 100 ] ; then
X                fnum=00\${frame}
X        elif [ \${frame} -lt 1000 ] ; then
X                fnum=0\${frame}
X        else
X                fnum=\${frame}
X        fi
X        acounter=1
X        mv junk.\${image_format} \${framename}\${fnum}.\${image_format}
X        exit 0
else
X        exit 1
fi
EOF
chmod +x $frame_script
X
X
if [ $silent != t ] ; then 
X   echo "Problem prefix: $problem_prefix"
X   echo "Frame name:     $framename"
X   echo "First frame:    $first_frame"
X   echo "HEXVUE script:  $hexvue_script"
X   echo "Frame script:   $frame_script"
X   echo "Continue? \c"
X   read resp
X   if [ x$resp = xn -o x$resp = no ] ; then
X        exit 1
X   fi
fi
X
X
frame=${first_frame}
next=0
while [ $next -eq 0 ] 
do
X        $frame_script \
X                ${problem_prefix} \
X                ${hexvue_script} \
X                ${framename} \
X                $frame \
X                $image_format 
X        next=$?
X        frame=$(($frame+1))
done
SHAR_EOF
  (set 20 02 06 05 15 17 02 'create.frames.sh'; eval "$shar_touch") &&
  chmod 0775 'create.frames.sh' ||
  $echo 'restore of' 'create.frames.sh' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'create.frames.sh:' 'MD5 check failed'
bc289e0f8a511a1985757d61834ee65b  create.frames.sh
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'create.frames.sh'`"
    test 6178 -eq "$shar_count" ||
    $echo 'create.frames.sh:' 'original size' '6178,' 'current size' "$shar_count!"
  fi
fi
# ============= qstrip.view ==============
if test -f 'qstrip.view' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'qstrip.view' '(file already exists)'
else
  $echo 'x -' extracting 'qstrip.view' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'qstrip.view' &&
5.031685 0.498694 14.998694
0.000000 0.000000 1.000000
0.000000 -1.000000 0.000000
-3  0 16
20 40
SHAR_EOF
  (set 20 02 06 06 12 01 21 'qstrip.view'; eval "$shar_touch") &&
  chmod 0755 'qstrip.view' ||
  $echo 'restore of' 'qstrip.view' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'qstrip.view:' 'MD5 check failed'
ca725d2d4889128868fb1759290f388f  qstrip.view
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'qstrip.view'`"
    test 98 -eq "$shar_count" ||
    $echo 'qstrip.view:' 'original size' '98,' 'current size' "$shar_count!"
  fi
fi
# ============= lnU.hexvue ==============
if test -f 'lnU.hexvue' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'lnU.hexvue' '(file already exists)'
else
  $echo 'x -' extracting 'lnU.hexvue' '(binary)'
  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
begin 600 lnU.hexvue
M3D571E)!344@5TE$5$@@,C0P($A%24=(5"`T.#`@6"`Q,#`@62`Q,#`*961G
M969L86<@;VX*961G96-O;&]R('=H:71E"G-H<FEN:R`Q"FAV=6-H871T<FEB
M<PIR96YD97(@=VER90IV:65W(&%X97,@;V9F"G9I97<@8F=R;W5N9"!W:&ET
M90IV:65W(&ES;PIL87EE<B`P"FQA>65R(&]N("`@,`IL87EE<B!O;B`@(#$*
M;&%Y97(@;V9F(#$U"FQA>65R(&]N("`Q-@IV:65W(&QO860@<7-T<FEP+G9I
M97<*"FQA8F5L(")-87@@<')I;F,@;&]G('-T<F%I;B(*2%954$E#2U-%5"`T
M-0I(5E53151$25-0(#`@,2`R('-X<WES>B`Q(#$@,0IF<FEN9V4@,"`P+C,U
M"F9R:6YG92!S;6]O=&@*9G)I;F=E('-H;W=?<V-A;&4@;VX*<F5N9&5R('-H
G861E"FAV=7!A=7-E(#$*:6UA9V4@:G5N:RYP;F<*:'9U<75I=`H@
`
end
SHAR_EOF
  (set 20 02 06 06 12 02 21 'lnU.hexvue'; eval "$shar_touch") &&
  chmod 0664 'lnU.hexvue' ||
  $echo 'restore of' 'lnU.hexvue' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'lnU.hexvue:' 'MD5 check failed'
0f0485e536f9b3a7ccd4d39382ed8f91  lnU.hexvue
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'lnU.hexvue'`"
    test 399 -eq "$shar_count" ||
    $echo 'lnU.hexvue:' 'original size' '399,' 'current size' "$shar_count!"
  fi
fi
# ============= lnU.sh ==============
if test -f 'lnU.sh' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'lnU.sh' '(file already exists)'
else
  $echo 'x -' extracting 'lnU.sh' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'lnU.sh' &&
#! /bin/bash
X
prob=$1; shift
hexvuefile=$prob.hexvue
hvufile=$prob
X
cat <<EOF > $hexvuefile
! 
NEWFRAME WIDTH 480 HEIGHT 480 X 100 Y 100
edgeflag on
edgecolor white
shrink 1
hvuchattribs
hvuload $hvufile
!load strip-outline.egf
!
render wire
view axes off
view bground grey50
view iso
layer 0
layer on   0
layer on   1
layer off 15
layer on  16
HVUPICKSET 8 ! z
hvushowset 0.1 1 0.1
HVUSETDISP 0 1 2 sxsysz  3 3   3
render shade
view left
fit
hvupause 3
! 
!
render ldir -1 2 3
RENDER SHADE
!
HVUPICKSET 45 ! system 1
! HVUSETDISP 0 45 2 sxsysz  3 3   3
fit
! HVUQUIT
EOF
X
X
hexvue -c $hexvuefile 
rm -f $hexvuefile
SHAR_EOF
  (set 20 02 03 15 13 21 04 'lnU.sh'; eval "$shar_touch") &&
  chmod 0775 'lnU.sh' ||
  $echo 'restore of' 'lnU.sh' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'lnU.sh:' 'MD5 check failed'
10c4b66a8333347021e33150188a95a7  lnU.sh
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'lnU.sh'`"
    test 615 -eq "$shar_count" ||
    $echo 'lnU.sh:' 'original size' '615,' 'current size' "$shar_count!"
  fi
fi
# ============= gammas.sh ==============
if test -f 'gammas.sh' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'gammas.sh' '(file already exists)'
else
  $echo 'x -' extracting 'gammas.sh' '(text)'
  sed 's/^X//' << 'SHAR_EOF' > 'gammas.sh' &&
#! /bin/bash
X
prob=$1; shift
hexvuefile=$prob.hexvue
hvufile=$prob
X
cat <<EOF > $hexvuefile
! 
NEWFRAME WIDTH 480 HEIGHT 480 X 100 Y 100
edgeflag on
edgecolor white
shrink 1
hvuchattribs
hvuload $hvufile
!load strip-outline.egf
!
render wire
view axes off
view bground grey50
view iso
layer 0
layer on   0
layer on   1
layer off 15
layer on  16
fit
HVUPICKSET 2 ! z
hvushowset 0.03 0.3 -1
HVUPICKSET 8 ! z
HVUSETDISP 0 1 2 sxsysz 1 1 1
render shade
view left
fit
hvupause 3
! 
!
render ldir -1 2 3
RENDER SHADE
!
HVUPICKSET 9 ! system 1
! HVUSETDISP 0 9 2 sxsysz 1 1 1
fit
hvupause 5
HVUPICKSET 10 ! 2
! HVUSETDISP 0 10 2 sxsysz 1 1 1
fit
hvupause 5
!! HVUPICKSET 12 ! 4
!! ! HVUSETDISP 0 12 2 sxsysz 1 1 1
!! fit
!! hvupause 5
!! HVUPICKSET 13 ! 5
!! ! HVUSETDISP 0 13 2 sxsysz 1 1 1
!! fit
!! hvupause 5
HVUPICKSET 15 ! 7
! HVUSETDISP 0 15 2 sxsysz 1 1 1
fit
hvupause 5
HVUPICKSET 16 ! 8
! HVUSETDISP 0 16 2 sxsysz 1 1 1
fit
hvupause 5
!! HVUPICKSET 18 ! 10
!! ! HVUSETDISP 0 18 2 sxsysz 1 1 1
!! fit
!! hvupause 5
!! HVUPICKSET 19 ! 11
!! ! HVUSETDISP 0 19 2 sxsysz 1 1 1
!! fit
!! hvupause 5
! HVUQUIT
EOF
X
X
hexvue -c $hexvuefile 
rm -f $hexvuefile
SHAR_EOF
  (set 20 02 06 05 15 17 51 'gammas.sh'; eval "$shar_touch") &&
  chmod 0755 'gammas.sh' ||
  $echo 'restore of' 'gammas.sh' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'gammas.sh:' 'MD5 check failed'
46725be57ad2580d83641859941f5713  gammas.sh
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'gammas.sh'`"
    test 1153 -eq "$shar_count" ||
    $echo 'gammas.sh:' 'original size' '1153,' 'current size' "$shar_count!"
  fi
fi
# ============= gamma_1.hexvue ==============
if test -f 'gamma_1.hexvue' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'gamma_1.hexvue' '(file already exists)'
else
  $echo 'x -' extracting 'gamma_1.hexvue' '(binary)'
  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
begin 600 gamma_1.hexvue
M3D571E)!344@5TE$5$@@,C0P($A%24=(5"`T.#`@6"`Q,#`@62`Q,#`*961G
M969L86<@;VX*961G96-O;&]R('=H:71E"G-H<FEN:R`Q"FAV=6-H871T<FEB
M<PIR96YD97(@=VER90IV:65W(&%X97,@;V9F"G9I97<@8F=R;W5N9"!W:&ET
M90IV:65W(&ES;PIL87EE<B`P"FQA>65R(&]N("`@,`IL87EE<B!O;B`@(#$*
M;&%Y97(@;V9F(#$U"FQA>65R(&]N("`Q-@IV:65W(&QO860@<7-T<FEP+G9I
M97<*"FQA8F5L(")3:&5A<B!S=')A:6X@;VX@/#`M,3$^*#$Q,2DB"DA655!)
M0TM3150@.0I(5E53151$25-0(#`@,2`R('-X<WES>B`Q(#$@,0IF<FEN9V4@
M+3`N-2`P+C4*9G)I;F=E('-M;V]T:`IF<FEN9V4@<VAO=U]S8V%L92!O;@IR
M96YD97(@<VAA9&4*:'9U<&%U<V4@,0II;6%G92!J=6YK+G!N9PIH=G5Q=6ET
""B!D
`
end
SHAR_EOF
  (set 20 02 06 08 09 42 55 'gamma_1.hexvue'; eval "$shar_touch") &&
  chmod 0664 'gamma_1.hexvue' ||
  $echo 'restore of' 'gamma_1.hexvue' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'gamma_1.hexvue:' 'MD5 check failed'
7ff45c6891eed5cdd1c0aa2f6d214725  gamma_1.hexvue
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'gamma_1.hexvue'`"
    test 407 -eq "$shar_count" ||
    $echo 'gamma_1.hexvue:' 'original size' '407,' 'current size' "$shar_count!"
  fi
fi
# ============= gamma_7.hexvue ==============
if test -f 'gamma_7.hexvue' && test "$first_param" != -c; then
  $echo 'x -' SKIPPING 'gamma_7.hexvue' '(file already exists)'
else
  $echo 'x -' extracting 'gamma_7.hexvue' '(binary)'
  sed 's/^X//' << 'SHAR_EOF' | uudecode &&
begin 600 gamma_7.hexvue
M3D571E)!344@5TE$5$@@,C0P($A%24=(5"`T.#`@6"`Q,#`@62`Q,#`*961G
M969L86<@;VX*961G96-O;&]R('=H:71E"G-H<FEN:R`Q"FAV=6-H871T<FEB
M<PIR96YD97(@=VER90IV:65W(&%X97,@;V9F"G9I97<@8F=R;W5N9"!W:&ET
M90IV:65W(&ES;PIL87EE<B`P"FQA>65R(&]N("`@,`IL87EE<B!O;B`@(#$*
M;&%Y97(@;V9F(#$U"FQA>65R(&]N("`Q-@IV:65W(&QO860@<7-T<FEP+G9I
M97<*"FQA8F5L(")3:&5A<B!S=')A:6X@;VX@/#`Q,3XH+3$M,3$I(@I(5E50
M24-+4T54(#$U"DA655-%5$1)4U`@,"`Q(#(@<WAS>7-Z(#$@,2`Q"F9R:6YG
M92`M,"XU(#`N-0IF<FEN9V4@<VUO;W1H"F9R:6YG92!S:&]W7W-C86QE(&]N
M"G)E;F1E<B!S:&%D90IH=G5P875S92`Q"FEM86=E(&IU;FLN<&YG"FAV=7%U
$:70*(&1E
`
end
SHAR_EOF
  (set 20 02 06 08 09 42 34 'gamma_7.hexvue'; eval "$shar_touch") &&
  chmod 0664 'gamma_7.hexvue' ||
  $echo 'restore of' 'gamma_7.hexvue' 'failed'
  if ( md5sum --help 2>&1 | grep 'sage: md5sum \[' ) >/dev/null 2>&1 \
  && ( md5sum --version 2>&1 | grep -v 'textutils 1.12' ) >/dev/null; then
    md5sum -c << SHAR_EOF >/dev/null 2>&1 \
    || $echo 'gamma_7.hexvue:' 'MD5 check failed'
35250f06d83d4adf49563dc7ba1d5b31  gamma_7.hexvue
SHAR_EOF
  else
    shar_count="`LC_ALL= LC_CTYPE= LANG= wc -c < 'gamma_7.hexvue'`"
    test 409 -eq "$shar_count" ||
    $echo 'gamma_7.hexvue:' 'original size' '409,' 'current size' "$shar_count!"
  fi
fi
rm -fr _sh17885
exit 0
