#!/bin/ksh

ROT_INITIAL_VELOCITY=50000

if [ $# -ge 1 ] ; then
  initial_velocity_list=$1; shift
else
  initial_velocity_list="70000"
fi
 
if [ $# -ge 1 ] ; then
  mat3d_type_list=$1; shift
else
  mat3d_type_list="1 3 6 7"
fi
    
for INITIAL_VELOCITY in $(echo ${initial_velocity_list})
do

for MAT3D_TYPE in $(echo ${mat3d_type_list})
do

cat <<EOF > rot.in
Cube: compression
!  ======================================================= 
!     INPUT FILE FOR WASP; GENERATED BY HEXMESH 
!                (C) 1995 Petr Krysl 
! 
! #nodes #elements #materials #loads #time_funcs  
   3477      2688        1        0        1
!  ======================================================= 
OPTIONS 
!  option_tag (O, T, S)     value 
T 0.0005
f 0.1
! H "SEQUENCE 0 1 0.002"
h 29
! number_seq
! M 120
!  END OPTIONS 
&
!  ===================================================
Initial conditions
  ID 1
    IV "y*${ROT_INITIAL_VELOCITY}" "-x*${ROT_INITIAL_VELOCITY}" "-(z/abs(z))*${INITIAL_VELOCITY}"
  END
&
!  ================================================ 
MATERIAL
6
   1
   ${MAT3D_TYPE}
   1   E 117000   NU 0.35 rho 8.93e-9 
!  END MATERIAL
&
!  ======================================================= 
TIME_FUNCTIONS 
  2  ! tabular 
! func#   #pairs 
   1        5
! time     val 
! Heaviside step function:
   0        0
   0.0001   1
   0.0005   1
   0.0008   0
   10000000 0
!  END TIME_FUNCTIONS 
&
!  ======================================================= 
NODES
! id       x       y       z  CONSTRAIN: X  Y  Z (0=fix)
  1  -1 -1 -1 1 1 0
  2   1 -1 -1 1 1 0
  3   1 1 -1 1 1 0
  4  -1 1 -1 1 1 0
!
  5  -1 -1 1
  6   1 -1 1
  7   1 1 1
  8  -1 1 1
&
!  ======================================================
ELEM
   6  ! 2pt and 8pt isoparametric hexahedrons
!  id    n1 n2 n3 n4     n5 n6 n7 n8    material 
1 1 2 3 4 5 6 7 8 1
&
!  ======================================================= 
LOADS 
! load type (1 = nodal) 
! node#  dir (0-5)  amplitude  #time_func 
!  END LOADS 
&
!  ======================================================= 
HISTORY 
!  client_tag (N, E, W)     entity# (0 for energy (W)) 
W
N 5
E 1 1 -1 -1 -1
!  END HISTORY 
&
!  END DATA 
!  ======================================================= 
EOF

wd -verbose -! -input rot -integrator 0 -R 0.5 -T 5e-5 -O 0 -W rot-${MAT3D_TYPE}-${INITIAL_VELOCITY} $*

done

done
