#include <stdio.h>
#include <stdlib.h>
#include <ioP.h>
#include <randP.h>


int 
main ()
{
  ckit_iobuf_t IOB;
  const char *line;
  int processing_nodes = 0;
  double shift = 0.005;

  IOB = ckit_io_new_buffer (stdin);
  if (!IOB) { fprintf (stderr, "Failed to create IOB\n"); exit (1); }

  while ((line = ckit_io_scan_line (IOB, 0))) {
    if (!processing_nodes) {
      if (strcmp (line, "NODES") == 0) {
        printf ("%s\n", line);
        processing_nodes = 1;
        continue;
      }
    } else {
      if (strcmp (line, "&") == 0) {
        printf ("%s\n", line);
        processing_nodes = 0;
        continue;
      }
    }
    if (processing_nodes) {
      float x, y, z;
      int id;
      if (sscanf (line, "%d %f %f %f", &id, &x, &y, &z) != 4) {
        fprintf (stderr, "Failed to read node data\n"); exit (1);
      }
      printf ("%d %g %g %g\n", id,
              x + rand_0_to_1 () * shift,
              y + rand_0_to_1 () * shift,
              z + rand_0_to_1 () * shift);
    } else {
      printf ("%s\n", line);
    }
  }
}
