#! /bin/ksh

nsamples=10000
ncomput=1
T=0.9
infile=fullmc.in
nmodes=5
R=200000
histfile=fullmc

n=1
while [ $n -le $nsamples ] 
do
    ncomput=$(mcgeninp.sh $infile $ncomput)

    echo "sample $n"

    echo "FULL \c";

    wd -! -input fatig1 -integrator 1 -R 200000 -W fatig1-full-R200000 -T 0.9 -b 20 -O 0 -pod_options "collect method snapshots dt 0.0005  " -newmarki_options "conv_ratio 0.001 solver spetsc nz_per_row 0.0465 pass_on_max max_iter 12 conv_in_equil" -pc_type lu -ksp_type preonly  -pc_lu_fill 5.04

    s=$(tail -n 1 ./WASP.HIST/$histfile/p664EPlS.xmgr)
    echo $(echo $s | cut -d ' ' -f2)

    rm -f *.err
    n=$(($n+1))
done

