#! /bin/ksh

nsamples=10000
ncomput=1
T=0.9
infile=mc.in
nmodes=5
R=200000

n=1
while [ $n -le $nsamples ] 
do
    ncomput=$(mcgeninp.sh $infile $ncomput)

    echo "sample $n"
    
    histfile=mc$n

    # echo "FULL \c";

    # wd -! -input mc -integrator 1 -R 200000 -W $histfile -T $T -b 20 -O 0 -newmarki_options "conv_ratio 0.001 solver spetsc nz_per_row 0.0465 pass_on_max max_iter 10 conv_in_equil modnewton recomp_keff_after 12" -pc_type lu -ksp_type preonly  -pc_lu_fill 5.04

    # s=$(tail -n 1 ./WASP.HIST/$histfile/p664EPlS.xmgr)
    # echo $(echo $s | cut -d ' ' -f2)

    echo "REDU \c";

    wd -! -input mc -integrator 1 -T $T -b 200 -O 0 -R 200000 -W $histfile \
        -pod_options "use nmodes $nmodes method snapshots" \
        -newmarki_options "pod solver dmeschach conv_ratio 0.1 pass_on_max max_iter 7 \
        conv_in_equil initial_stiff recomp_keff_after 10  nitadapt 0"  

    s=$(tail -n 1 ./WASP.HIST/$histfile/p664EPlS.xmgr)
    echo $(echo $s | cut -d ' ' -f2)

    rm -f *.err
    n=$(($n+1))
done

