#!/bin/ksh

if [ $# -ne 2 ] ; then
    echo Usage: $(basename $0) outfile ncomput 
    exit 1
fi

function genl {
# generates a list of numbers from `low' to `high' (inclusive)
    genl_low=$1; shift
    genl_high=$1; shift
    # echo genl_low=$genl_low
    # echo genl_high=$genl_high
    genl_counter=$genl_low
    genl_s=""
    while [ $genl_counter -le $genl_high ] 
    do
      genl_ss="$genl_s $genl_counter"
      genl_s="$genl_ss"
      genl_counter=$(($genl_counter + 1))
    done
    echo $genl_s
}

function npdf {
    ncomput=$1; shift
    mean=$1; shift
    stddev=$1; shift
    echo $(expeval "randrestart($ncomput); npdf($mean, $stddev)")
}

outfile=$1; shift
ncomput=$1

rm -f $outfile

stddev_rat=0.025
E=117000
sigma_y=400
K=100
E_stddev=$(expeval "$E*$stddev_rat")
K_stddev=$(expeval "$K*$stddev_rat")
sigma_y_stddev=$(expeval "$sigma_y*$stddev_rat")

E=$(npdf $ncomput $E $E_stddev); ncomput=$(($ncomput+1));
sigma_y=$(npdf $ncomput $sigma_y $sigma_y_stddev); ncomput=$(($ncomput+1));
K=$(npdf $ncomput $K $K_stddev); ncomput=$(($ncomput+1));

# 
#  generate input file
#
cat fatig1.in | sed -e "s/1   E 117000   NU 0.35 rho 8.93e-9 sigma_y 400 HARDENING_PARAM 100 E_INCR 0.000001/1 E $E nu 0.35 rho 8.93e-9 sigma_y $sigma_y HARDENING_PARAM $K E_INCR 0.000001/g" > $outfile


echo $ncomput
