#! /bin/bash

# try to figure out where the WASP installation directory is

if [ -z "$WASP_DIR" ] ; then
    check_first="../WASP"
else
    check_first="$WASP_DIR"
fi

founddir="?"
for dir in $check_first ~pkrysl/WASP ~pkrysl/Soft/WASP ~/WASP $(dirname $0)/../../WASP
do
    if [ $(basename $dir) = WASP  ] ; then
       if [ -d $dir ] ; then
          currdir=$(pwd)
          cd $dir; 
          if [ $? -eq 0 ] ; then
             founddir="$(pwd)"
             echo Found WASP installation directory as "$founddir" >&2
             cd $currdir
             break;
          else
             echo "*****" "$dir" inaccessible "*****"  >&2
          fi
       fi
    fi
done

if [ "$founddir" = "?" ] ; then
    echo "*****" WASP installation directory not found "*****"  >&2
    echo "*****" Please set the WASP_DIR environment variable "*****"  >&2
    exit 1
fi

for n in install.sh config.guess config.sub 
do
    cp $founddir/src/$n .
    chmod +x $n
done

for n in wd.c
do
    cp $founddir/src/$n .
done

for n in Makefile.in 
do
    cp $founddir/custom/$n .
done

for n in configure
do
    cp $founddir/custom/$n .
    chmod +x $n
done

echo $founddir > ./.wasp_dir
