#! /bin/bash

if [ $# -lt 5 ] ; then
    echo Need the name of the xmgr file, title, xlabel, ylabel, legend
    exit 1
fi

file=$1; shift
title=$1; shift
xlabel=$1; shift
ylabel=$1; shift
legend=$1; shift

cat <<EOF
<?xml version="1.0" standalone="no"?>
<!DOCTYPE plot SYSTEM "../ptplot3.1/ptolemy/plot/plotml/plotml.dtd">
<!-- Ptolemy plot, version 3.1, PlotML format. -->

<plot>
<title>$title</title>

<xLabel>$xlabel</xLabel>
<yLabel>$ylabel</yLabel>


<default connected="yes" marks="various"/>

<dataset name="analysis" connected="yes">
EOF


while read line
do
    s=$(echo $line | sed -e 's/^ *//g')
    if [ "$(echo $s | egrep '^@')" = "$s" ] ; then
        continue; # ignore
    elif [ "$(echo $s | egrep '^#')" = "$s" ] ; then
        continue; # ignore
    elif [ "$(echo $s | egrep '^&')" = "$s" ] ; then
        continue; # ignore
    else
        t=$(echo $s | tr -s ' ' | cut -d' ' -f1)
        v=$(echo $s | tr -s ' ' | cut -d' ' -f2)
        echo '<p x="'$t'" y="'$v'"/>'
    fi
done < $file

cat <<EOF
</dataset>
</plot>
EOF