#! /bin/ksh -f

pod_collect.sh sinbeam1 -T 5 -R 10 -O 0 -modnewton -recomp_keff_after 3 -conv_ratio 0.001
cp sinbeam1.pod sinbeam1.pod.orig
for nmodes in 8 10 12 15
do
  pod_use.sh sinbeam1 -T 5 -R_list 10 -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes
done

pod_collect.sh sinbeam2 -T 5 -R 20 -O 0 -modnewton -recomp_keff_after 3 -conv_ratio 0.001
cp sinbeam2.pod sinbeam2.pod.orig
for nmodes in 8 10 12 15
do
  pod_use.sh sinbeam2 -T 5 -R_list 20 -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes
done

pee -script sinbeam12.pee -border 2 -num_fields 20 > sinbeam2.pod.pee

cp sinbeam2.pod.pee sinbeam2.pod
for nmodes in 8 10 12 15
do
  pod_use.sh sinbeam2 -T 5 -R_list 20 -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes -suffix pee
done

pod_collect.sh sinbeam4 -T 5 -R 40 -O 0 -precond bjacobi -ksp cg -nz_per_row 0.0075 -pc_ilu_fill 1 -modnewton -recomp_keff_after 3 -cutoff_ev 1e-12 -conv_ratio 0.001
cp sinbeam4.pod sinbeam4.pod.orig
for nmodes in 8 10 12 15
do
  pod_use.sh sinbeam4 -T 5 -R_list 40 -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes
done

pee -script sinbeam24.pee -border 2 -num_fields 20 > sinbeam4.pod.pee

cp sinbeam4.pod.pee sinbeam4.pod
for nmodes in 18 15 12 10 8
do
  pod_use.sh sinbeam4 -T 5 -R_list 40 -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes -suffix pee
done


