#! /bin/ksh

nsamples=10000
ncomput=1
T=25
infile=mc.in
nmodes=6
R=20
histfile=mc

n=1
while [ $n -le $nsamples ] 
do
    ncomput=$(mcgeninp.sh $infile $ncomput)

    echo "sample $n"

    echo "REDU \c";
    wd -! -input mc -integrator 0 -T 0.001 -b 20 -O 0.001 -R $R -W $histfile -pod_options "use nmodes $nmodes method snapshots" -newmarki_options "pod solver dmeschach conv_ratio 0.001 max_iter 5 pass_on_max conv_in_equil nitadapt 0"
    s=$(tail -n 1 ./WASP.HIST/$histfile/p364EPlS.xmgr)
    echo $(echo $s | cut -d ' ' -f2)

    echo "FULL \c";
    wd -! -input mc -integrator 0 -R 1 -W $histfile -T 0.001 -O 0.001
    s=$(tail -n 1 ./WASP.HIST/$histfile/p364EPlS.xmgr)
    echo $(echo $s | cut -d ' ' -f2)

    rm -f *.err
    n=$(($n+1))
done

