#! /bin/ksh

if [ $# -ne 3 ] ; then
    echo "Error: need to get file name and variable names" >&2
    exit 1
fi

file=$1; shift
xvar=$1; shift
yvar=$1

if [ "$xvar" != "time" -a "$xvar" != "step" ] ; then
    echo "Error: unknown variable name: $xvar" >&2
    exit 1
fi

if [ "$yvar" != "niter" -a "$yvar" != "nitersum" ] ; then
    echo "Error: unknown variable name: $yvar" >&2
    exit 1
fi

rm -f junk
cat $file | grep -v '@' > junk
n=$(cat junk | wc -l)
n=$(($n-2))
cat junk | tail -n $n > raw.data
rm -f junk

step=1
nitersum=0
while read s
do
    time=$(echo "$s" tr -s ' ' | cut -d' ' -f 1)
    niter=$(echo "$s" tr -s ' ' | cut -d' ' -f 2)
    nitersum=$(($nitersum+$niter))
    if [ $xvar = time ] ; then x="$time";
    else                       x="$step";
    fi
    if [ $yvar = niter ] ; then y="$niter";
    else                        y="$nitersum";
    fi
    echo $x $y
    step=$(($step+1))
done < raw.data

rm -f raw.data
