// -*- Mode: c++ -*-
// $Id: FeatureTag.h,v 1.1.1.1 2001/07/24 02:41:51 pkrysl Exp $
// $Source: /home/cvs/WASP/problems/FE/subdiv/Coke/Loop/FeatureTag.h,v $

#ifndef __LOOP_FEATURETAG_H__
#define __LOOP_FEATURETAG_H__

/**
 * FeatureTag Class
 */
class FeatureTag {
private:
  /** Label which uniquely identifies the tag subclass. */
  const int m_label;

protected:
  /**
   * Constructs a tag whose type is uniquely identified by the specified label.
   * @param label  unique identifier for tag subclass
   */
  FeatureTag(const int label) : m_label(label) { }

public:
  /**
   * Destructor.
   */
  virtual ~FeatureTag(void) { }

  /**
   * Returns the unique identifier for the tag subclass.
   * @return unique identifier for tag subclass
   */
  int label(void) const {
    return (m_label);
  }
};

#endif  /* __LOOP_FEATURETAG_H__ */
