// -*- Mode: c++ -*-
// $Id: Stencil.h,v 1.1.1.1 2001/07/24 02:41:51 pkrysl Exp $
// $Source: /home/cvs/WASP/problems/FE/subdiv/Coke/Loop/Stencil.h,v $

#ifndef __LOOP_STENCIL_H__
#define __LOOP_STENCIL_H__

#include "Loop/Permutation.h"
#include "Loop/Topology.h"
#include "Util/cvec.h"

template <class TriangleMr, class Accessor, class Stencil, class Accumulator>
void Odd(TriangleMr* triangle,
	 EdgeLabel e,
	 Accessor accessor,
	 Accumulator &result,
	 const Stencil& stencil)
{
  if (!triangle->isLeaf()) {
    VertexLabel v = OppositeVertex(e);
    result += accessor(triangle->child(T0)->vertex(v), triangle->depth() + 1);
    return;
  }
  
  Permutation p;
  TriangleMr* adjacent = triangle->adjacentTriangle(e, p);
  if (adjacent && !adjacent->isLeaf()) {
    VertexLabel v = p.vertex(OppositeVertex(e));
    result += accessor(adjacent->child(T0)->vertex(v), triangle->depth() + 1);
    return;
  }
  
  stencil.odd(triangle, e, accessor, result);
}

#endif  /* __LOOP_STENCIL_H__ */
