#include <iostream.h>
#include "Loop/BoundaryStencil.h"
#include "Loop/ControlTriangle.h"
#include "Loop/ControlVertex.h"
#include "Loop/LoopMesh.h"
#include "Loop/MultiresTriangle.h"
#include "Loop/MultiresVertex.h"
#include "Loop/WarrenStencil.h"
#include "Mesh/MeshTp.h"

LOOPTYPE(Mesh, LoopMesh, ControlTriangle, ControlVertex,
	 MultiresTriangle, MultiresVertex, BoundaryStencil<WarrenStencil>)

int main(int argc, char* argv[]) {
  WarrenStencil warren;
  Mesh::Stencil stencil(warren);
  Mesh mesh(stencil);

  cin >> mesh;

  Mesh::TriangleMr* triangle = (*mesh.triangleBegin())->root();
  for (int i = 1; i <= 3; i += 1) {
    mesh.subdivide(triangle, i);
    triangle = triangle->child(T0);
  }

  cout << mesh;
}
