#include <iostream.h>
#include "Loop/BoundaryStencil.h"
#include "Loop/ControlTriangle.h"
#include "Loop/ControlVertex.h"
#include "Loop/LoopMesh.h"
#include "Loop/MultiresTriangle.h"
#include "Loop/MultiresVertex.h"
#include "Loop/WarrenStencil.h"
#include "Mesh/MeshTp.h"

LOOPTYPE(Mesh, LoopMesh, ControlTriangle, ControlVertex,
	 MultiresTriangle, MultiresVertex, BoundaryStencil<WarrenStencil>)

int main(int argc, char* argv[]) {
  WarrenStencil warren;
  Mesh::Stencil stencil(warren);
  Mesh mesh(stencil);

  cin >> mesh;

  mesh.subdivide(1);
#if 0
  mesh.SanityCheck();
  mesh.subdivide(2);
  mesh.SanityCheck();
  mesh.subdivide(3);
  mesh.SanityCheck();
  mesh.subdivide(4);
  mesh.SanityCheck();
  cerr << "level 5" << endl;
  mesh.subdivide(5);
  mesh.SanityCheck();
  cerr << "level 6" << endl;
  mesh.subdivide(6);
  mesh.SanityCheck();
  cerr << "level 7" << endl;
  mesh.subdivide(7);
  mesh.SanityCheck();
#endif

  cout << mesh;
  mesh.SanityCheck();
}
