// -*- Mode: c++ -*-
// $Id: Labels.h,v 1.1.1.1 2001/07/24 02:41:34 pkrysl Exp $
// $Source: /home/cvs/WASP/problems/FE/subdiv/Coke/Mesh/Labels.h,v $

#ifndef	__MESH_LABELS_H__
#define	__MESH_LABELS_H__

enum EdgeLabel { E1 = 0, E2 = 1, E3 = 2 };
enum VertexLabel { V1 = 0, V2 = 1, V3 = 2 };

inline EdgeLabel NextEdge(const EdgeLabel e) {
  return EdgeLabel((e + 1) % 3);
}

inline VertexLabel NextVertex(const VertexLabel v) {
  return VertexLabel((v + 1) % 3);
}

inline EdgeLabel PreviousEdge(const EdgeLabel e) {
  return EdgeLabel((e + 2) % 3);
}

inline VertexLabel PreviousVertex(const VertexLabel v) {
  return VertexLabel((v + 2) % 3);
}

/* Labels for backwards compatibility. */
typedef EdgeLabel EdgeName;
typedef VertexLabel VertexName;

inline VertexName NextV(const VertexName v) {
  return VertexName((v + 1) % 3);
}

inline VertexName PrevV(const VertexName v) {
  return VertexName((v + 2) % 3);
}

inline EdgeName NextE(const EdgeName e) {
  return EdgeName((e + 1) % 3);
}

inline EdgeName PrevE(const EdgeName e) {
  return EdgeName((e + 2) % 3);
}

#endif	/* __MESH_LABELS_H__ */
