// -*- Mode: c++ -*-
// $Id: PointVertex.h,v 1.1.1.1 2001/07/24 02:41:34 pkrysl Exp $
// $Source: /home/cvs/WASP/problems/FE/subdiv/Coke/Mesh/PointVertex.h,v $

#ifndef __MESH_POINTVERTEX_H__
#define __MESH_POINTVERTEX_H__

#include "Mesh/VertexTp.h"
#include "Util/cvec.h"

#include "Mesh/MeshTypes.h"

/**
 * PointVertex Class
 */
template <class T>
class PointVertex : public VertexTp< T > {
private:
  CVec m_point;

public:
  DECLARE_MESH_TYPES( T )

  /**
   * Default constructor.
   */
  PointVertex(void) : VertexTp<T>() { }

  /**
   * Copy constructor.
   */
  PointVertex(const PointVertex& instance) 
   : VertexTp<T>(instance)
  {
    ((Vertex*)this)->setPoint(instance.m_point);
  }

  /**
   * Destructor.
   */	
  ~PointVertex(void) { }

  /**
   * Returns an immutable reference to the point stored at this vertex.
   * @return immutable reference to point at this vertex
   */
  const CVec& point(void) const {
    return (m_point);
  }

  /**
   * Defines the point at this vertex.
   * @param point  new point to store at this vertex
   */
  void setPoint(const CVec& point) {
    m_point = point;
  }

  /* Methods for backwards compatibility. */
  const CVec& p(void) const {
    return (m_point);
  }
};

#endif  /* __MESH_POINTVERTEX_H__ */
