// -*- Mode: c++ -*-
// $Id: FEMTriangle.cc,v 1.1.1.1 2001/07/24 02:41:34 pkrysl Exp $
// $Source: /home/cvs/WASP/problems/FE/subdiv/Coke/Quadrature/FEMTriangle.cc,v $

#include "Diamond.h"

template <class T>
FEMTriangle<T>::
~FEMTriangle( void )
{
  Triangle *me = (Triangle *)this;

  if( m_d[E1] ){
    delete m_d[E1]; m_d[E1] = 0;
    if( t1() && !Crease(E1) ) t1()->m_d[t1()->t(me)] = 0;
  }
  if( m_d[E2] ){
    delete m_d[E2]; m_d[E2] = 0;
    if( t2() && !Crease(E2) ) t2()->m_d[t2()->t(me)] = 0;
  }
  if( m_d[E3] ){
    delete m_d[E3]; m_d[E3] = 0;
    if( t3() && !Crease(E3) ) t3()->m_d[t3()->t(me)] = 0;
  }
}

template <class T>
void
FEMTriangle<T>::
AttachGaussPoints( void )
{
  Triangle *me = (Triangle *)this;
  if( !m_d[E1] ){
    m_d[E1] = new GaussPoint( me, E1 ); assert( m_d[E1] );
    if( t1() && !Crease(E1) ) t1()->m_d[t1()->t(me)] = m_d[E1];
  }
  if( !m_d[E2] ){
    m_d[E2] = new GaussPoint( me, E2 ); assert( m_d[E2] );
    if( t2() && !Crease(E2) ) t2()->m_d[t2()->t(me)] = m_d[E2];
  }
  if( !m_d[E3] ){
    m_d[E3] = new GaussPoint( me, E3 ); assert( m_d[E3] );
    if( t3() && !Crease(E3) ) t3()->m_d[t3()->t(me)] = m_d[E3];
  }
}

template <class T>
void
FEMTriangle<T>::
print( ostream& os ) const
{
  os << "corners: [" << v1()->p()
     << "]\n         [" << v2()->p()
     << "]\n         [" << v3()->p() << "]\n";
  os << "quad eval at midpoints of edges for:\n";
  os << "pos:     [" << m_d[E1]->Evalp()
     << "]\n         [" << m_d[E2]->Evalp()
     << "]\n         [" << m_d[E3]->Evalp() << "]\n";
  os << "dp1:     [" << m_d[E1]->Evaldp1()
     << "]\n         [" << m_d[E2]->Evaldp1()
     << "]\n         [" << m_d[E3]->Evaldp1() << "]\n";
  os << "dp2:     [" << m_d[E1]->Evaldp2()
     << "]\n         [" << m_d[E2]->Evaldp2()
     << "]\n         [" << m_d[E3]->Evaldp2() << "]\n";
  os << "dp11:    [" << m_d[E1]->Evaldp11()
     << "]\n         [" << m_d[E2]->Evaldp11()
     << "]\n         [" << m_d[E3]->Evaldp11() << "]\n";
  os << "dp12:    [" << m_d[E1]->Evaldp12()
     << "]\n         [" << m_d[E2]->Evaldp12()
     << "]\n         [" << m_d[E3]->Evaldp12() << "]\n";
  os << "dp22:    [" << m_d[E1]->Evaldp22()
     << "]\n         [" << m_d[E2]->Evaldp22()
     << "]\n         [" << m_d[E3]->Evaldp22() << "]\n";
}
