// -*- Mode: c++ -*-
// $Id: OneRing.cc,v 1.1.1.1 2001/07/24 02:41:34 pkrysl Exp $
// $Source: /home/cvs/WASP/problems/FE/subdiv/Coke/Quadrature/OneRing.cc,v $

#include <assert.h>
#include "ShellDOF.h"

template <class T>
void
OneRing<T>::
Init( Vertex* v )
{
  int i;

  m_c = v;
  m_n = v->valence();
  m_v = new Vertex*[m_n]; assert( m_v );
  const bool cb = v->CreaseOrCorner();
  // the latter quantity is only interesting if this vertex is a corner
  if( cb ){ m_cr = new bool[m_n]; assert( m_cr ); }
  else m_cr = 0;

#ifndef NDEBUG
  bool crfound = false;
#endif /* NDEBUG */
  
  typename Vertex::VertexIt vb = v->vertexBegin(), ve = v->vertexEnd();
  const Triangle *tt;
  for( i = 0; vb != ve; ++vb, ++i ){
    m_v[i] = *vb;
    // PS: this is very very very very ugly
    // we get a handle on the triangle containing this vertex
    // for the last vertex the handle will be invalid. To save our ass here
    // we will remember the last handle
    if( (const Triangle*)vb ) tt = vb;
    if( cb ){
      m_cr[i] = tt->Crease(m_v[i],v);
#ifndef	NDEBUG
      crfound |= m_cr[i];
#endif	/* NDEBUG */
    }
  }
  assert( i == m_n );
#ifndef	NDEBUG
  assert( !cb || crfound );
#endif
}
