#ifndef __INVERT_H
#define __INVERT_H

template <class Scalar>
void MapleInvert3by3 (Scalar a[3][3]) { // Maple code computes inverse of 3x3 matrix.

  /* inversion of a unsymmetric 3x3 matrix a */

  Scalar b11,b12,b13,b21,b22,b23,b31,b32,b33, det;
  int i,j;

  b11 = a[0][0];
  b12 = a[0][1];
  b13 = a[0][2];
  b21 = a[1][0];
  b22 = a[1][1];
  b23 = a[1][2];
  b31 = a[2][0];
  b32 = a[2][1];
  b33 = a[2][2];

  a[0][0] =   b22*b33 - b32*b23;
  a[1][0] = - b21*b33 + b31*b23;
  a[2][0] =   b21*b32 - b31*b22;
  a[0][1] = - b12*b33 + b32*b13;
  a[1][1] =   b11*b33 - b31*b13;
  a[2][1] = - b11*b32 + b31*b12;
  a[0][2] =   b12*b23 - b22*b13;
  a[1][2] = - b11*b23 + b21*b13;
  a[2][2] =   b11*b22 - b21*b12;

  det = b11*a[0][0] + b12*a[1][0] + b13*a[2][0];
  for (i=0; i<3; i++) 
    for (j=0; j<3; j++)
      a[i][j] = a[i][j]/det;
                        
  return;
}

#endif
