#ifndef __REAL_H
#define __REAL_H

#include "Util/Tensor3.h"
#include "Util/Vector3.h"

typedef float Real;
typedef Vector3<Real> Real3Vec;
typedef Tensor3<Real> Real3Tensor;

const Real3Vec Zero3Vec = Real3Vec::Zero; 
const Real3Tensor Zero3Tensor = Real3Tensor();

#include "Util/util.h"


Real abs(Real x) {
  return (x >= 0.0) ? x : -x;
}

#define _IEEE 1

#include "nan.h"


#endif


#if 0
struct Real {
public:
  Real (float data = 0.0) : m_data(data) {}

  operator float &() {
    return m_data;
  }

  operator float() const {
    return m_data;
  }
private:
  float m_data;
};

Real operator /(Real x, Real y) {
  Real result = x/y;
  if (IsNANorINF(result)) {
    cerr << "WARNING: DIVISION BY 0\n";
  }
  return result;
}

#endif
