#include "Tensor3.h"

CnCnMetric3Tensor RaiseIndices(CvCvMetric3Tensor cov1) {
  int i, j;
  Real gm[3][3];

  for (i = 0; i < 3; ++i)
    for (j = 0; j < 3; ++j)
      gm[i][j] = cov1[i][j];

  MapleInvert3by3(gm);

  CnCnMetric3Tensor con1(gm);

  return con1;
}

CnCn3Tensor RaiseIndices(CvCv3Tensor covT, CvBasis b) {
  int i, j, k, l;
  CvCvMetric3Tensor cov1(b);
  CnCnMetric3Tensor con1 = RaiseIndices(cov1);

  CnCn3Tensor conT;

  for (i = 0; i < 3; ++i)
    for (j = 0; j < 3; ++j)
      for (k = 0; k < 3; ++k)
	for (l = 0; l < 3; ++l)
	  conT(i)(j) += con1(i)(k) * con1(j)(l) * covT[k][l];

  return conT;
}

CnBasis RaiseIndices(const CvBasis &covb) {
  int i, j;
  Real b[3][3];
  
  for (i = 0; i < 3; ++i)
    for (j = 0; j < 3; ++j)
      b[i][j] = covb[i][j];

  MapleInvert3by3(b);

  return CnBasis( Real3Vec(b[0][0], b[1][0], b[2][0]),
		  Real3Vec(b[0][1], b[1][1], b[2][1]),
		  Real3Vec(b[0][2], b[1][2], b[2][2]));
}

Real ScalarProduct(CnCn3Tensor conT, CvCv3Tensor covS) {
  Real sum = 0;
  int i, j;

  for (i = 0; i < 3; ++i)
    for (j = 0; j < 3; ++j)
      sum += conT(i)(j) * covS[i][j];

  return sum;
}

Real Trace(CvCv3Tensor covT) {
  Real sum = 0;
  int i;

  for (i = 0; i < 3; ++i)
    sum += covT[i][i];

  return sum;
}

