#! /bin/bash

nmodes=6

for mesh_size in 4 3 2 1
do
   R=$(expeval "1000/$mesh_size*4")

   inp1=d1-h=$mesh_size
   # make the first file
   makewaspinp.sh $inp1 -mesh_size $mesh_size -H 100 

   # run the full simulation
   modrc.sh $inp1 -O 0 -R $R -T 0.012 -mass_type 0 -cutoff_ev 0.0000001

   # run the reduced model
   modru.sh $inp1 -O 0 -R $R -T 0.012 -mass_type 0 -nmodes $nmodes

   inp2=d2-h=$mesh_size
   # make the second file
   makewaspinp.sh $inp2 -mesh_size $mesh_size -H 100.1 -W 49.8

   transfpod $nmodes $inp1.mesh.out $inp2.mesh.out $inp1.pod > $inp2.pod
   modru.sh $inp2 -O 0 -R $R -T 0.012 -mass_type 0 -nmodes $nmodes
done



