#! /bin/ksh -f

T=0.0007
S=4.66205e-07

for sampling in 1 5 10 20 50
do
    # full simulation 
    modrc.sh iv -R 1 -O 0 -method snapshots -T $T -dt $(expeval "$S*$sampling") -cutoff_ev 1e-7

    # save reference data
    if [ $sampling -eq 1 ] ; then
        cp -R WASP.HIST/iv-full-R1 WASP.HIST/iv-full
    fi
    
    # save samples and pod mode file
    cp iv.samples iv.samples.$sampling
    cp iv.pod iv.pod.$sampling

    # reduced simulation
    cp iv.pod.$sampling iv.pod
    for nmodes in 5 10 20
    do
        modru.sh iv -R 1 -O 0 -method snapshots -T $T -suffix sampling=$sampling -nmodes $nmodes
    done
done

