#! /bin/ksh -f

T=0.0007
S=4.66205e-07

for sampling in 10
do
    # full simulation 
    modrc.sh iv64 -R 4 -O 0 -initial_stiff -recomp_keff_after 4 -method snapshots -T $T -dt $(expeval "$S*$sampling") -cutoff_ev 1e-7 -report_iter -pass_on_max

    # save reference data
    if [ $sampling -eq 1 ] ; then
        cp -R WASP.HIST/iv64-full-R1 WASP.HIST/iv64-full
    fi
    
    # save samples and pod mode file
    cp iv64.samples iv64.samples.$sampling
    cp iv64.pod iv64.pod.$sampling

    # reduced simulation
    cp iv64.pod.$sampling iv64.pod
    for nmodes in 5 10 20 40
    do
        modru.sh iv64 -R 4 -O 0 -initial_stiff -recomp_keff_after 4 -method snapshots -T $T -suffix sampling=$sampling -nmodes $nmodes -report_iter
    done
done

