#! /bin/ksh -f

input_base_name=Truss
nmodes=9
N_max=40
full_suffix="-full-R5000"
red_suffix="-red-R5000-c0.00001-M${nmodes}-direct"

function get_u_value {
    input_base_name=$1; shift
    suffix=$1; shift
    N=$1; shift
    dir=$1;
    file=WASP.HIST/${input_base_name}${suffix}/N${N}TD${dir}.xmgr
    if [ ! -f $file ] ; then
        echo "File not found: \"$file\""; exit 1;
    fi
    
}

diff_sum=0
sum=0
for N in $(genl 1 40)
do
    for dir in x y z; 
    do
        u_full=$(get_u_value $input_base_name $full_suffix $N x)
        u_red=$(get_u_value $input_base_name $red_suffix $N x)
        diff=$(expeval "$u_full - $u_red")
        diff_sum=$(expeval "$diff_sum+($diff^2)")
        sum=$(expeval "$sum+($u_full^2)")
    done
done


