#! /bin/ksh -f

R=200
method=direct

method=direct
nmodes_list="18"
R_list="200"
conv_ratio_list="0.00001"
args=""

while [ $# -ge 1 ] 
do
   a=$1; shift
   case $a in
    -nmodes_list)
        if [ $# -ge 1 ] ; then
            nmodes_list="$1"; shift
        else
            usage_and_exit
        fi
        ;;
    -R_list)
        if [ $# -ge 1 ] ; then
            R_list="$1"; shift
        else
            usage_and_exit
        fi
        ;;
    -conv_ratio_list)
        if [ $# -ge 1 ] ; then
            conv_ratio_list="$1"; shift
        else
            usage_and_exit
        fi
        ;;
    -method)
        if [ $# -ge 1 ] ; then
            method=$1; shift
        else
            usage_and_exit
        fi
        ;;
    *)
        ta="$args $a"
        args="$ta"
        ;;
    esac
done

for R in $(echo $R_list)
do
  for nmodes in $(echo $nmodes_list)
  do
    for conv_ratio in $(echo $conv_ratio_list)
    do
            command="wd -v -! -i kyv3 -integrator 1 \
               -T 0.6 -b 20 -O 0.00 \
               -R $R -W kyv3-red-R$R-c$conv_ratio-M$nmodes-$method \
               -pod_options \"use nmodes $nmodes method $method\" \
               -newmarki_options \"pod solver dmeschach conv_ratio $conv_ratio report_iter\" $args"
            echo "$command"
            eval $command
            if [ $? -ne 0 ] ; then
                echo "*** Error"
            fi
    done
  done
done