#! /bin/ksh -f

if [ $# -ne 1 ] ; then
    echo Usage: $(basename $0) input
    exit 1
fi

input=$1

inp=".$(basename $0).$$"

rm -f . $inp
cat $input | grep EIGEN | cut -d' ' -f 2

# sum of eigenvalues
sum=0
while read s
do
    sum=$(echo "$sum+$s" | bc -l)
done < $inp

# print normalized eigenvalues
echo "Normalized Eigenvalues"  
i=0
while read s
do
    nev=$(echo "$s/$sum" | bc -l)
    echo "$i    $nev"
    i=$(($i+1))
done < $inp
