#include "Wconfig.h"
#include "Wxf.h"
#include "Wdomain.h"
#include "Whistry.h"
#include "Welem.h"
#include "Wtfuncs.h"
#include "Wnode.h"
#include "Wloads.h"
#include "Wdispbc.h"
#include "Wivcond.h"
#include "Wmats.h"
#include "Wcontact.h"
#include "Wvset.h"
#include "Wpvm.h"
#include "Wmpi.h"
#include "Wcdi.h"
#include "Wnewmarki.h"
#include "Wpod.h"
#include "Wdriver.h"


static double max_hor_accel        = 0;
static double max_hor_displ        = 0;
static W_index_t top_node          = 100;

static void 
update_truss_response (W_domain_t *d)
{
  double x, y, z;
  W_node_t *n;

  n = WD_get_node_by_idx (d, top_node);
  if (!n) REPORT_FATAL_ERROR (d->errh, "Node not found");
  
  WN_get_acceleration (n, &x, &y, &z);
  if (fabs (y) > fabs (max_hor_accel))
    max_hor_accel = fabs (y);

  WN_get_displ (n, &x, &y, &z);
  if (fabs (y) > fabs (max_hor_displ))
    max_hor_displ = fabs (y);
}

static void
print_truss_response (W_domain_t *d)
{
  printf ("%g %g\n", max_hor_accel, max_hor_displ);
}


static void 
collect_truss_response (W_domain_t *d, int final_call)
{
  if (final_call) print_truss_response (d);
  else            update_truss_response (d);
}

int
wasp_custom_setup (W_domain_t *d)
{
  W_domain_set_response_observer_func (d, collect_truss_response);
  return TRUE;
}

