#! /bin/ksh

nsamples=10000
ncomput=1
T=25

n=1
while [ $n -le $nsamples ] 
do
    infile=mc$n.in
    ncomput=$(mcgeninp.sh $infile $ncomput)

    echo "sample $n"

    echo "REDU \c";
    custwd/custwd  -! -input $infile -integrator 1 -T $T -b 20 -O 100 -R 100 -W junk -pod_options "use nmodes 8 method direct" -newmarki_options "pod solver dmeschach conv_ratio 0.001 pass_on_max max_iter 3  conv_in_equil   nitadapt 0" 

    echo "FULL \c"
    custwd/custwd  -! -input $infile -integrator 1 -R 100 -W junk -T $T -b 20 -O 100 \
       -newmarki_options "conv_ratio 0.001 solver spetsc nz_per_row 0.01 pass_on_max max_iter 3 conv_in_equil" -pc_type lu -ksp_type preonly 

    rm -f $infile
    rm -f ${infile%%.err}
    n=$(($n+1))
done

