#! /bin/bash

nmodes=6
T=0.01
mesh_size=1
nz_per_row=$(expeval "0.005*$mesh_size")

H=100
H1=50
H2=50
R3=12
R7=8
W=50
R9=5
W9=20
H9=20
hole1=f
R10=$R9
W10=$W9
H10=40
hole2=f
R11=8
W11=30
H11=20
hole3=f

params="-H 110 -H1 49 -H2 48 -R3 11 -R7 7.8 -W 49.3 -R9 5.1 -W9 19 -H9 18 -hole1 t -R10 4 -W10 17 -H10 38 -hole2 f -R11 8 -W11 29 -H11 19 -hole3 f"
modparams="-H 110.05 -H1 49.1 -H2 47.9 -R3 11.99 -R7 7.78 -W 49.23 -R9 5.11 -W9 18.9 -H9 17.98 -hole1 t -R10 4.01 -W10 16.87 -H10 38.2 -hole2 f -R11 8.1 -W11 28.9 -H11 18.9 -hole3 f"


   R=$(expeval "500/$mesh_size*4")

   inp1=d1-h=$mesh_size
   # make the first file
   makewaspinp.sh $inp1 -mesh_size $mesh_size $(echo $params)

   # run the full simulation
   modrc.sh $inp1 -wd ./custwd/custwd -O 0 -R $R -T $T -mass_type 0 -cutoff_ev 0.0000001 -nz_per_row $nz_per_row 

   # run the reduced model
   modru.sh $inp1 -wd ./custwd/custwd -O 0 -R $R -T $T -mass_type 0 -nmodes $nmodes -modnewton -recomp_keff_after 6

   inp2=d2-h=$mesh_size
   # make the second file
   makewaspinp.sh $inp2 -mesh_size $mesh_size $(echo $modparams)

   transfpod $nmodes $inp1.mesh.out $inp2.mesh.out $inp1.pod > $inp2.pod
   modru.sh $inp2 -wd ./custwd/custwd -O 0 -R $R -T $T -mass_type 0 -nmodes $nmodes -conv_ratio 0.05 -modnewton -recomp_keff_after 6




