#ifndef __LOOPREADER__
#define __LOOPREADER__

#include "Mesh/SMF.h"

/**
 * LoopReader Class
 */
template <class Mesh>
class LoopReader : public SMF::MeshReader<Mesh> {
public:
  LoopReader(void) : SMF::MeshReader<Mesh>() { }

  ~LoopReader(void) { }

  void readMesh(istream& is, Mesh& mesh) {
    SMF::readMesh(is, mesh);

    // NJL: this belongs in an assembler object
    Mesh::VertexIt vi = mesh.vertexBegin();
    Mesh::VertexIt ve = mesh.vertexEnd();

    for (; vi != ve; ++vi) {
      Mesh::Vertex* vertex = *vi;
      vertex->vertex()->point(0) = vertex->point();
      vertex->vertex()->setValid(0);
    }
  }
};

#endif  /* __LOOPREADER__ */
