#include <iostream.h>
#include "Loop/BoundaryStencil.h"
#include "Loop/ControlTriangle.h"
#include "Loop/ControlVertex.h"
#include "Loop/LoopMesh.h"
#include "Loop/MultiresVertex.h"
#include "Loop/WarrenStencil.h"
#include "Mesh/MeshTp.h"

LOOPTYPE(MESH, LoopMesh, ControlTriangle, ControlVertex, MultiresVertex,
	 BoundaryStencil<WarrenStencil>)

int main(int argc, char* argv[]) {
  WarrenStencil warren;
  BoundaryStencil<WarrenStencil> stencil(warren);
  MESH mesh(stencil);

  cin >> mesh;

  MESH::TriangleIt ti = mesh.triangleBegin();
  MESH::TriangleIt te = mesh.triangleEnd();
  while (ti != te) {
    MESH::TriangleMr* triangle = (*ti)->root();
    MESH::TriangleMr::VertexIt tvi = triangle->vertexBegin(V1);
    MESH::TriangleMr::VertexIt tve = triangle->vertexEnd(V1);
    while (tvi != tve) {
      cout << (*tvi)->point(0).x() << ' ';
      ++tvi;
    }
    cout << endl;
    ++ti;
  }
  cout << endl;

  ti = mesh.triangleBegin();
  while (ti != te) {
    MESH::TriangleMr* triangle = (*ti)->root();
    MESH::TriangleMr::TriangleIt tti = triangle->triangleBegin(V1);
    MESH::TriangleMr::TriangleIt tte = triangle->triangleEnd(V1);
    while (tti != tte) {
      MESH::TriangleMr* t = (*tti);
      cout << (*tti)->vertex(V1)->point(0).x() <<
              (*tti)->vertex(V2)->point(0).x() <<
              (*tti)->vertex(V3)->point(0).x() << ' ';
      ++tti;
    }
    cout << endl;
    ++ti;
  }
  cout << endl;

  ti = mesh.triangleBegin();
  while (ti != te) {
    MESH::TriangleMr* triangle = (*ti)->root();
    cout << "(" << triangle->vertex(V1)->point(0).x() <<
                   triangle->vertex(V2)->point(0).x() <<
                   triangle->vertex(V3)->point(0).x() << ") ";

    MESH::TriangleMr::OneRingIt toi = triangle->oneRingBegin();
    MESH::TriangleMr::OneRingIt toe = triangle->oneRingEnd();
    while (toi != toe) {
      MESH::TriangleMr* t = (*toi);
      cout << (*toi)->vertex(V1)->point(0).x() <<
              (*toi)->vertex(V2)->point(0).x() <<
              (*toi)->vertex(V3)->point(0).x() << ' ';
      ++toi;
    }
    cout << endl;
    ++ti;
  }
}
