// -*- Mode: c++ -*-
// $Id: ShellDOF.h,v 1.1.1.1 2000/01/06 20:46:11 eitan Exp $
// $Source: /ufs/multires/projects/Coke/Quadrature/ShellDOF.h,v $

#ifndef	__SHELLDOF_H__
#define	__SHELLDOF_H__

// Do not change anything above this line

#include "Mesh/PointVertex.h"
#include "OneRing.h"

// include files

//
// everything a shell degree of freedom needs
//

// class definition
template <class TriangleIf, class VertexIf>
class ShellDOF : public PointVertex<TriangleIf, VertexIf>{
 public:
  // default constructor
  ShellDOF( void )
    : PointVertex<TriangleIf, VertexIf>(),
      m_crease(false), m_corner(false), m_boundary(false) {}
  ShellDOF( const CVec& p )
    : PointVertex<TriangleIf, VertexIf>(p),
      m_crease(false), m_corner(false), m_boundary(false) {}

  void InitOneRing( void ) { m_r.Init( (VertexIf*)this ); }
  bool Crease( void ) const { return m_crease; }
  bool Corner( void ) const { return m_corner; }
  bool CreaseOrCorner( void ) const { return m_crease || m_corner; }
  void setCrease( void ) { m_crease = true; }
  void setCorner( void ) { m_corner = true; }
  void setBoundary( void ) { m_boundary = true; }
  // make const
  OneRing<TriangleIf, VertexIf>& Ring( void ) { return m_r; }
 protected:
 private:
  OneRing<TriangleIf, VertexIf> m_r;
  // is this vertex on a crease?
  bool m_crease:1;
  // is this vertex a corner?
  bool m_corner:1;
  // is this vertex on the boundary?
  bool m_boundary:1;
};

// extern defs for non-member outline functions go here
// externally visible constant defs go here

#endif	/* __SHELLDOF_H__ */
