#ifndef __SIMMATERIAL_H
#define __SIMMATERIAL_H

#include "SimTypes.h"



void print33(Real a[3][3]) {
  for (int i=0; i<3; ++i) {
    for (int j=0; j<3; ++j)
      cerr << a[i][j] << "\t";
    cerr << endl;
  }
}

#include "Maple/material.c"

template <class T>
class SimMaterial {
public:
  DECLARE_TYPES(T)

  typedef Surface::e2Iter e2Iter;

  static void Initialize(Mesh &mesh) {
  }

  static void Update(Mesh &mesh) {
  }

  static Real Lambda(const GaussPoint *p) {
    return 1.0;
  }

  static Real3Tensor S(const GaussPoint *p, e2Iter e2Idx) {
    Real S[3][3];
    Real gmkovr[3][3];
    Real gmkovc[3][3];

    Real emod = Parameters::emod;
    Real nue  = Parameters::nue;

    for (int i = 0; i < 3; ++i)
      for (int j = 0; j < 3; ++j) {
	gmkovr[i][j] = p->gR(i,e2Idx). dot (p->gR(j,e2Idx));
	gmkovc[i][j] = p->gC(i,e2Idx). dot (p->gC(j,e2Idx));
      }

    stress(S, emod, nue, gmkovr, gmkovc);

    return TensorRows(Real3Vec(S[0]), 
		      Real3Vec(S[1]),
		      Real3Vec(S[2]));
  }


  static Real3Tensor Strain(const GaussPoint *p, e2Iter e2Idx) {
    Real gs[3][3];
    Real gmkovr[3][3];
    Real gmkovc[3][3];

    for (int i = 0; i < 3; ++i)
      for (int j = 0; j < 3; ++j) {
	gmkovr[i][j] = p->gR(i,e2Idx). dot (p->gR(j,e2Idx));
	gmkovc[i][j] = p->gC(i,e2Idx). dot (p->gC(j,e2Idx));
      }

    greenlagrstrain(gs, gmkovr, gmkovc);

    return TensorRows(Real3Vec(gs[0]), 
		      Real3Vec(gs[1]),
		      Real3Vec(gs[2]));
  }

private:

};

#endif





#if 0
    //cerr << "Computing S\n";
    //print33(gmkovr);
    //cerr << endl;
    //print33(gmkovc);
    stress(S, emod, nue, gmkovr, gmkovc);
    //cerr << endl;
    //cerr << emod << "\t" << nue << endl;
    //print33(S);

    Real gkov1[3][3];
    for (i = 0; i < 3; ++i) {
      gkov1[i][0] = p->gR(i).x();
      gkov1[i][1] = p->gR(i).y();
      gkov1[i][2] = p->gR(i).z();
    }
    Real oS[3][3];

    svstr(S, gkov1, gkov1, oS);

#if 0
    cerr << endl << "S" << endl;
    print33(S);
    cerr << endl;
    
    cerr << endl << "orthogonal S" << endl;
    print33(oS);
    cerr << endl;
#endif



#endif
