#ifndef __WASPVERTEX_H
#define __WASPVERTEX_H

#include "Simulator/SimVertex.h"

template <class T>
class WASPVertex : public SimVertex<T> {

private:
  W_node_t *WASPnode;

public:

  WASPVertex() {
  }

  WASPVertex( const Real3Vec& p )
    : SimVertex<T>(p) {
  }

  void Initialize( W_domain_t *d ) {
    W_vect_t f;

    f.x = xR().x();
    f.y = xR().y();
    f.z = xR().z();

    WASPnode = WN_new_node (d, -1, &f);
  }

  void CopyFromWASPxC() {
    W_vect_t f;
    WN_get_displ (WASPnode, &f.x, &f.y, &f.z);

    SetDispC( Real3Vec(f.x, f.y, f.z) );
  }

  void CopyToWASPForces() {
    W_vect_t f;

    f.x = -Gstat().x();
    f.y = -Gstat().y();
    f.z = -Gstat().z();

    cerr << "f.x " << f.x << " f.y " << f.y << " f.z " << f.z << endl;
    WN_assemble_force (WASPnode, &f);
  }

  void CopyToWASPm() {
    WN_assemble_mass (WASPnode, m());
  }
  
};


#endif










