#ifndef __WASPTRIANGLE_H
#define __WASPTRIANGLE_H

#include "Simulator/SimTriangle.h"

extern "C" {
#include "Elixir.h"
}

template <class T>
class WASPTriangle : public SimTriangle<T> {

private:

  GraphicObj *grep;

public:

  WASPTriangle() 
    : grep(NULL) {}

  void ModifyGeometry( double displ_scale ) {

    WCRec pnts[3];

    for (int i=0; i<3; ++i) {
      VertexLabel j = (VertexLabel)i;
      Real x, y, z;
      assert(vertex(j) != NULL);
      x = (vertex(j)->xR().x() + displ_scale * vertex(j)->DispC().x());
      y = (vertex(j)->xR().y() + displ_scale * vertex(j)->DispC().y()); 
      z = (vertex(j)->xR().z() + displ_scale * vertex(j)->DispC().z());
      pnts[i].x = x.GetNativeData();
      pnts[i].y = y.GetNativeData();
      pnts[i].z = z.GetNativeData();
    }

    if (grep == NULL) {
      W_bool_t first;

      grep = CreateTriangle3D (pnts);
      EASValsSetColor( ColorGetPixelFromString("cyan", &first) );
      EASValsSetLayer (WX_ELEM_LAYER);
      EASValsSetFillStyle (FILL_HOLLOW);
      EGWithMaskChangeAttributes(COLOR_MASK | FILL_MASK | LAYER_MASK, grep);
      EMNoDrawAddGraphicsToModel(ESIModel (), grep);
    } else {
      EGModifyGraphicsGeometry(grep, pnts);
    }

  }

};


#endif
