// -*- Mode: c++ -*-
// $Id: PointVertex.h,v 1.2 2000/09/16 04:35:29 eitan Exp $
// $Source: /cs/research/multires/cvsroot/Coke/Mesh/PointVertex.h,v $

#ifndef __MESH_POINTVERTEX_H__
#define __MESH_POINTVERTEX_H__

#include "Mesh/VertexTp.h"
#include "Util/cvec.h"

/**
 * PointVertex Class
 */
template <class Triangle, class Vertex>
class PointVertex : public VertexTp<Triangle, Vertex> {
private:
  CVec m_point;

public:
  /**
   * Default constructor.
   */
  PointVertex(void) : VertexTp<Triangle, Vertex>() { }

  /**
   * Copy constructor.
   */
  PointVertex(const PointVertex& instance) 
   : VertexTp<Triangle, Vertex>(instance)
  {
    ((Vertex*)this)->setPoint(instance.m_point);
  }

  /**
   * Destructor.
   */	
  ~PointVertex(void) { }

  /**
   * Returns an immutable reference to the point stored at this vertex.
   * @return immutable reference to point at this vertex
   */
  const CVec& point(void) const {
    return (m_point);
  }

  /**
   * Defines the point at this vertex.
   * @param point  new point to store at this vertex
   */
  void setPoint(const CVec& point) {
    m_point = point;
  }

  /* Methods for backwards compatibility. */
  const CVec& p(void) const {
    return (m_point);
  }
};

#endif  /* __MESH_POINTVERTEX_H__ */
