#ifndef __POINTVERTEX_H__
#define __POINTVERTEX_H__

#include "Mesh/VertexTp.h"
#include "Util/cvec.h"

/**
 * PointVertex Class
 */
template <class TriangleIf, class VertexIf>
class PointVertex : public VertexTp<TriangleIf, VertexIf> {
private:
  CVec m_point;

public:
  /**
   * Default constructor.
   */
  PointVertex(void) : VertexTp<TriangleIf, VertexIf>() { }

  /**
   * Destructor.
   */	
  ~PointVertex(void) { }

  /**
   * Returns an immutable reference to the point stored at this vertex.
   * @return immutable reference to point at this vertex
   */
  const CVec& point(void) const {
    return (m_point);
  }

  /**
   * Returns a mutable references to the point stored at this vertex.
   * @return mutable reference to point at this vertex
   */
  CVec& point(void) {
    return (m_point);
  }

  /* Methods for backwards compatibility. */
  const CVec& p(void) const {
    return (m_point);
  }

  CVec& p(void) {
    return (m_point);
  }
};

#endif  /* __POINTVERTEX_H__ */
