// -*- Mode: c++ -*-
// $Id: OneRing.h,v 1.1.1.1 2000/01/06 20:46:11 eitan Exp $
// $Source: /cs/research/multires/cvsroot/Coke/Quadrature/OneRing.h,v $

#ifndef	__ONERING_H__
#define	__ONERING_H__

// Do not change anything above this line

// include files
#include "Util/util.h"

// class definition
template <class Triangle, class Vertex>
class OneRing{
 public:
  OneRing( void ) : m_c(0), m_v(0), m_cr(0), m_n(0) {}
  ~OneRing( void ){ delete m_v; delete m_cr; }

  void Init( Vertex *v );
  int Valence( void ) const { return m_n; }
  Vertex* v( const int i ) const{
    assert( i >= 0 && i < m_n ); return m_v[i];
  }
  Vertex* c( void ) const { return m_c; }
  bool Crease( const int i ) const { assert( i >= 0 && i < m_n ); return m_cr[i]; }
  // reverse lookup
  int v( const Vertex *vv ) const{
    for( int i = 0; i < m_n; ++i ) if( m_v[i] == vv ) return i;
    die(); return -1;
  }
 protected:
 private:
  // center
  Vertex *m_c;
  // ring of neighbors
  Vertex **m_v;
  // ring of crease bits
  bool *m_cr;
  // how many neighbors? (Valence)
  int m_n;
};

// extern defs for non-member outline functions go here
// externally visible constant defs go here

#include "OneRing.cc"

#endif	/* __ONERING_H__ */
