// -*- Mode: c++ -*-
// $Id: thinshell.cc,v 1.1.1.1 2000/01/06 20:46:13 eitan Exp $
// $Source: /cs/research/multires/cvsroot/Coke/Quadrature/test/thinshell.cc,v $

#include <iostream.h>
#include <fstream.h>
#include <vector.h>

#include "FEMMesh.h"
#include "FEMTriangle.h"
#include "ShellDOF.h"

#include <Inventor/SoInput.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoIndexedFaceSet.h>
#include <Inventor/nodes/SoIndexedLineSet.h>
#include <Inventor/nodes/SoComplexity.h>
#include <Inventor/nodes/SoCoordinate3.h>
#include <Inventor/nodes/SoLineSet.h>
#include <Inventor/nodes/SoMaterial.h>
#include <Inventor/actions/SoWriteAction.h>
#include <Inventor/nodes/SoTransform.h>
#include <Inventor/nodes/SoTransformSeparator.h>
#include <Inventor/nodes/SoSphere.h>

#include "Loop/BoundaryStencil.h"
#include "Loop/ControlTriangle.h"
#include "Loop/ControlVertex.h"
#include "Loop/LoopMesh.h"
#include "Loop/MultiresVertex.h"
#include "Loop/WarrenStencil.h"

MESHTYPE(FEMMESH, FEMMesh, FEMTriangle, ShellDOF)

LOOPTYPE(LOOPMESH, LoopMesh, ControlTriangle, ControlVertex, MultiresVertex,
	 BoundaryStencil<WarrenStencil>)

template <class T>
class hash<T *> {
public:
  size_t operator()(const T *v) const {
    return hash<char*>()((char*)v);
  }
};

hash_map<FEMMESH::Triangle *, LOOPMESH::Triangle *> FEM_to_Loop;

void
main(int argc, char* argv[])
{
#if 0
  WarrenStencil warren;
  BoundaryStencil<WarrenStencil> stencil(warren);
  LOOPMESH loopMesh(stencil);
#endif
  FEMMESH femMesh;

  if (argc != 2) {
    cerr << "testquad mesh.smf" << endl;
    return;
  }

  ifstream fin1(argv[1]), fin2(argv[1]);

  fin1 >> femMesh;
#if 0
  fin2 >> loopMesh;
#endif

  {
    FEMMESH::VertexIt vb = femMesh.vertexBegin(), ve = femMesh.vertexEnd();
    for( ; vb != ve; ++vb ) (*vb)->InitOneRing();
    FEMMESH::TriangleIt tb = femMesh.triangleBegin(), te = femMesh.triangleEnd();
    for( ; tb != te; ++tb ) (*tb)->AttachDiamonds();
    tb = femMesh.triangleBegin();
  }

#if 0
  {
    FEMMESH::TriangleIt femT = femMesh.triangleBegin(), femTEnd = femMesh.triangleEnd();
    for(; femT != femTEnd; ++femT) {
      LOOPMESH::TriangleIt loopT = loopMesh.triangleBegin(), loopTEnd = loopMesh.triangleEnd();
      for(; loopT != loopTEnd; ++loopT) {
	if (    (*femT)->vertex(V1)->point() ==  (*loopT)->vertex(V1)->point()
	     && (*femT)->vertex(V2)->point() ==  (*loopT)->vertex(V2)->point()
	     && (*femT)->vertex(V3)->point() ==  (*loopT)->vertex(V3)->point() ) {
	  FEM_to_Loop[*femT] = (*loopT);
	  break;
	}
      }
      if (loopT == loopTEnd) {
	cerr << "Could not match up the meshes\n";
	return;
      }
    }
  }  
#endif
  //  for( ; tb != te; ++tb ) cout << **tb;
  //  ProduceInventorFile(mesh);
}





#if 0
class BuildMesh {
public:
  template <class Mesh>
  Mesh::Triangle *operator()(Mesh &mesh) {
    Assembler<Mesh::Triangle, Mesh::Vertex> a(mesh);
    Mesh::Triangle *centerTriangle = NULL;

    { // vertex 0
      Mesh::Vertex* v = new Mesh::Vertex();
      assert(v);
      v->point() = CVec(0,0,basisMask[0]);
      a.addVertex(v);
    }

    { // triangle 0
      Mesh::Triangle *t = new Mesh::Triangle;
      assert(t);
      t->setVertices( a.getVertex( 0 ), 
		      a.getVertex( 1 ), 
		      a.getVertex( N ));
      a.addTriangle(t);
    }

    assert(a.assembleMesh());

    // NJL: this belongs in an assembler object
    // EG: I agree! Please put it there.
    Mesh::VertexIt vi = mesh.vertexBegin();
    Mesh::VertexIt ve = mesh.vertexEnd();

    for (; vi != ve; ++vi) {
      Mesh::Vertex* vertex = *vi;
      vertex->vertex()->point(0) = vertex->point();
      vertex->vertex()->setValid(0);
    }

    return centerTriangle;
  }
};
#endif
