// -*- Mode: c++ -*-
// $Id: Vector3.cc,v 1.3 2000/09/12 20:43:02 eitan Exp $
// $Source: /cs/research/multires/cvsroot/Coke/Util/Vector3.cc,v $

#include <iostream.h>
#include <math.h>
#include <assert.h>

#include "Vector3.h"

template <class Scalar>
void 
Vector3<Scalar>::print(ostream& os) const
{
  os << m_v[0] << "\t" << m_v[1] << "\t" << m_v[2];
}

template <class Scalar>
ostream&
operator<<( ostream& os, const Vector3<Scalar>& c )
{
  c.print( os );	
  return os;
}

template <class Scalar>
istream&
operator>>( istream& is, Vector3<Scalar>& f )
{
  return is >> f.m_v[0] >> f.m_v[1] >> f.m_v[2];
}

template <class Scalar>
bool
Vector3<Scalar>::read( istream& is )  {
  return ( is >> m_v[0]) && (is >> m_v[1]) && (is  >> m_v[2]);
}

template <class Scalar>
Vector3<Scalar>
Vector3<Scalar>::dir( void ) const
{
  Real a = l2();
  if( zero( a ) ) return *this;
  else return *this / a;
}

template <class Scalar>
Vector3<Scalar>
Vector3<Scalar>::perp( void ) const
{
  Vector3<Scalar> nrm = *this;
  if( !nrm.normalize() ) return Vector3<Scalar>( 1, 0, 0 );

  Vector3<Scalar> pnrm;
  // some component must be < 1/(sqrt(3))
  if( fabs( nrm.m_v[X] ) < 0.6f ) pnrm = cross( Vector3<Scalar>( 1, 0, 0 ) );
  else if( fabs( nrm.m_v[Y] ) < 0.6f ) pnrm = cross( Vector3<Scalar> ( 0, 1, 0 ) );
  else if( fabs( nrm.m_v[Z] ) < 0.6f ) pnrm = cross( Vector3<Scalar> ( 0, 0, 1 ) );
  else {
    cerr << *this << endl;
    die();
  }
  
  return pnrm.dir();
}

template <class Scalar>
int
Vector3<Scalar>::collinear( const Vector3<Scalar>& a, const Vector3<Scalar>& b ) const
{
  return zero( ( a - *this ).cross( a - b ).dot() );
}





