#include "Wconfig.h"
#include "Wxf.h"
#include "Wdomain.h"
#include "Wdriver.h"
#include "Wconfig.h"
#include "Wxf.h"
#include "Wdomain.h"
#include "Whistry.h"
#include "Welem.h"
#include "Wtfuncs.h"
#include "Wnode.h"
#include "Wloads.h"
#include "Wdispbc.h"
#include "Wivcond.h"
#include "Wmats.h"
#include "Wcontact.h"
#include "Wvset.h"
#include "Wpvm.h"
#include "Wmpi.h"
#include "Wcdi.h"
#include "Wnewmarki.h"
#include "Wmodr.h"


static double max_displ_of_loaded_corner    = 0;
static double max_transv_angle              = 0;
static double max_later_angle               = 0;
static double total_weight                  = 0;
static W_index_t nodes[4] = { 91, 95, 32, 18 };

static void 
update_response (W_domain_t *d)
{
  double X[4], Y[4], Z[4];
  double u[4], v[4], w[4];
  W_node_t *n;
  int which;

  for (which = 0; which < 4; which++) {
    n = WD_get_node_by_idx (d, nodes[which]);
    if (!n) REPORT_FATAL_ERROR (d->errh, "Node not found");
    WN_get_displ (n, &u[which], &v[which], &w[which]);
    WN_get_ref_coords (n, &X[which], &Y[which], &Z[which]);
  }

  which = 0;
  if (fabs (w[which]) > fabs (max_displ_of_loaded_corner))
    max_displ_of_loaded_corner = w[which];

  {                             /* max transversal angle */
    double a = fabs ((w[0] - w[1]) / (Y[0] - Y[1]));
    if (a > max_transv_angle) max_transv_angle = a;
  }

  {                             /* max lateral angle */
    double a = fabs ((w[2] - w[3]) / (X[2] - X[3]));
    if (a > max_later_angle) max_later_angle = a;
  }
}

static void
print_response (W_domain_t *d)
{
  total_weight = WD_total_mass (d);
  printf ("# max_displ_of_loaded_corner  max_transv_angle max_later_angle   total_weight\n");
  printf ("%g %g %g %g\n", max_displ_of_loaded_corner, max_transv_angle, max_later_angle, total_weight);
}


static void 
collect_response (W_domain_t *d, int final_call)
{
  if (final_call) print_response (d);
  else            update_response (d);
}

/* This is just an empty custom setup routine.
   Write your own file, and link with run.o and wd.o
   to produce your own driver with custom setup you wish.
 */
int
wasp_custom_setup (W_domain_t *d)
{
  W_domain_set_response_observer_func (d, collect_response);
  return TRUE;
}

